#! /usr/bin/env bash
# Copyright (C) 2013 by Arne Köhn <koehn@informatik.uni-hamburg.de>
# GPLv3 or later

echo "Please write down the command, with from replaced by %from an to replaced by %to"
read jwcdg_command
echo "from which sentence?"
read start_id
echo "to what sentence?"
read stop_id
echo "how many sentences per job?"
read num_s
echo "name of this batch?"
read batch_name

i=1
to=$((start_id+num_s-1))
while [ $start_id -lt $stop_id ]; do
	 echo $jwcdg_command | sed s/%from/$start_id/g | sed s/%to/$to/g > pending_jobs/${batch_name}-$i
	 new_to=$(($to+num_s))
	 if [ $new_to -gt $stop_id ]; then
		 to=$stop_id
	 else
		 to=$new_to
	 fi
	 start_id=$((start_id+num_s))
	 i=$(($i+1))
done
